Page MenuHomePhabricator

Scroll-past-infobox not working on many pages
Closed, ResolvedPublic

Event Timeline

Esanders created this task.Oct 10 2019, 9:37 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 10 2019, 9:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 542246 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/MobileFrontend@master] identifyLeadParagraph: Ignore invisible nodes, slugs and whitespace

https://gerrit.wikimedia.org/r/542246

Change 542246 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] identifyLeadParagraph: Ignore invisible nodes, slugs and whitespace

https://gerrit.wikimedia.org/r/542246

@matmarex: This is not yet on en.wiki right? Why did @ReleaseTaggerBot not tag this? 😕

It's not on en.wiki yet, it should be included in the next week's train deployment. No idea about ReleaseTaggerBot.

Okay, checked it for the listed articles on en.wiki, scroll is now moving past the infobox for those articles.

Ryasmeen edited projects, added Verified; removed Editing QA.Oct 22 2019, 6:25 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Jan 21 2020, 2:04 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 21 2020, 2:04 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJun 11 2020, 12:05 PM

This has regressed.

Esanders added a comment.EditedJun 11 2020, 12:13 PM

It looks like in VisualEditorOverlay#scrollToLeadParagraph we have a section of (string)"0" but we are only checking for (number)0, so the identifyLeadParagraph code isn't running.

CC @matmarex who was working on the section code recently.

According to https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/VisualEditor/+/585029/ we should always treat sections as strings, so it looks like this case got missed.

Change 604689 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/MobileFrontend@master] Follow-up I8373a7a: Always treat sections as strings

https://gerrit.wikimedia.org/r/604689

Change 604689 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Follow-up I8373a7a: Always treat sections as strings

https://gerrit.wikimedia.org/r/604689

Thanks, I must have missed that line.

JTannerWMF moved this task from To Triage to Triaged on the VisualEditor board.Jun 16 2020, 3:56 PM
ppelberg closed this task as Resolved.Jul 9 2020, 2:39 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 9 2020, 2:39 AM